package com.ssj.service.sys.problem.vo;

import com.ssj.service.sys.feedback.vo.TeacherFeedback;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class ProblemDetailFeedback implements Serializable {

	private static final long serialVersionUID = 1L;

	private String          problemId;

    private String          parentId;

    private String          userId;

    private String          nickname;

    private String          fileKey;

    private Long            feedbackNum;

    private TeacherFeedback teacherFeedback;

    private List            comment;

    private String          shareContent;

    private int             commentNum;

    private int             likeNum;

    private Integer         isShare;
    
    private Date            creatTime;

    public String getFileKey() {
        return fileKey;
    }

    public void setFileKey(String fileKey) {
        this.fileKey = fileKey;
    }

    public Long getFeedbackNum() {
        return feedbackNum;
    }

    public void setFeedbackNum(Long feedbackNum) {
        this.feedbackNum = feedbackNum;
    }

    public Integer getIsShare() {
        return isShare;
    }

    public void setIsShare(Integer isShare) {
        this.isShare = isShare;
    }

    public List getComment() {
        return comment;
    }

    public void setComment(List comment) {
        this.comment = comment;
    }

    public int getCommentNum() {
        return commentNum;
    }

    public void setCommentNum(int commentNum) {
        this.commentNum = commentNum;
    }

    public int getLikeNum() {
        return likeNum;
    }

    public void setLikeNum(int likeNum) {
        this.likeNum = likeNum;
    }

    public String getProblemId() {
        return problemId;
    }

    public void setProblemId(String problemId) {
        this.problemId = problemId;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getShareContent() {
        return shareContent;
    }

    public void setShareContent(String shareContent) {
        this.shareContent = shareContent;
    }

    public TeacherFeedback getTeacherFeedback() {
        return teacherFeedback;
    }

    public void setTeacherFeedback(TeacherFeedback teacherFeedback) {
        this.teacherFeedback = teacherFeedback;
    }

	public Date getCreatTime() {
		return creatTime;
	}

	public void setCreatTime(Date creatTime) {
		this.creatTime = creatTime;
	}

}
